<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WP_Bootstrap_Starter
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="shortcut icon" href="<?php echo site_url(); ?>/favicon.ico?v=2" type="image/x-icon">
    <link rel="icon" href="<?php echo site_url(); ?>/favicon.ico?v=2" type="image/x-icon">
    <title><?php wp_title( '|', true, 'right' ); ?></title>
    <meta name="description" content="Description"/>
    <meta name="keywords" lang="de" content="" />
    <meta name="author" content="Dario Evaristo Bellotta | https://darioevaristobellotta.de" />
    <script type="application/ld+json"> 
        { "@context" : "http://schema.org", "@type" : "LocalBusiness", "name" : "", "image": "", "email": "", "url": "", "address" : { "@type" : "PostalAddress", "addressLocality" : "", "postalCode" : "", "addressCountry": "" } } 
    </script>
    <!-- Open Graph protocol -->
    <meta property="og:url" content="">
    <meta property="og:type" content="website">
    <meta property="og:title" content="">
    <meta property="og:description" content="">
    <meta property="og:image" content="">
    <!-- Twitter Meta Tags -->
    <meta name="twitter:card" content="summary_large_image">
    <meta property="twitter:domain" content="">
    <meta property="twitter:url" content="">
    <meta name="twitter:title" content="">
    <meta name="twitter:description" content="">
    <meta name="twitter:image" content="">
    <!-- Preload Fonts -->
    <link rel="preload" as="font" href="/wp-content/themes/wp-bootstrap-starter-child/fonts/Lato-Regular.ttf'?>" type="font/otf" crossorigin="anonymous">
    <link rel="preload" as="font" href="/wp-content/themes/wp-bootstrap-starter-child/fonts/Roboto-Light.ttf" type="font/ttf" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script async src="https://kit.fontawesome.com/0d2f09bcd0.js" crossorigin="anonymous"></script>
    <script src="<?php echo site_url(); ?>/wp-content/themes/wp-bootstrap-starter-child/js/mdb.min.js"></script>
    <!-- Favicons -->
    <link rel="shortcut icon" href="<?php echo site_url(); ?>/favicon.ico?v=2">
    <link rel="icon" sizes="16x16 32x32 64x64" href="<?php echo site_url(); ?>/favicon.ico?v=2">
    <link rel="icon" type="image/png" sizes="196x196" href="<?php echo get_template_directory_uri() . '/favicon/favicon-192.png'?>">
    <link rel="icon" type="image/png" sizes="160x160" href="<?php echo get_template_directory_uri() . '/favicon/favicon-160.png'?>">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo get_template_directory_uri() . '/favicon/favicon-96.png'?>">
    <link rel="icon" type="image/png" sizes="64x64" href="<?php echo get_template_directory_uri() . '/favicon/favicon-64.png'?>">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo get_template_directory_uri() . '/favicon/favicon-32.png'?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo get_template_directory_uri() . '/favicon/favicon-16.png'?>">
    <link rel="apple-touch-icon" href="<?php echo get_template_directory_uri() . '/favicon/favicon-57.png'?>">
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo get_template_directory_uri() . '/favicon/favicon-114.png'?>">
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo get_template_directory_uri() . '/favicon/favicon-72.png'?>">
    <link rel="apple-touch-icon" sizes="144x144" href="<?php echo get_template_directory_uri() . '/favicon/favicon-144.png'?>">
    <link rel="apple-touch-icon" sizes="60x60" href="<?php echo get_template_directory_uri() . '/favicon/favicon-60.png'?>">
    <link rel="apple-touch-icon" sizes="120x120" href="<?php echo get_template_directory_uri() . '/favicon/favicon-120.png'?>">
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo get_template_directory_uri() . '/favicon/favicon-76.png'?>">
    <link rel="apple-touch-icon" sizes="152x152" href="<?php echo get_template_directory_uri() . '/favicon/favicon-152.png'?>">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo get_template_directory_uri() . '/favicon/favicon-180.png'?>">
    <!-- Disable autodetection for phone numbers on Safari -->
    <meta name="format-detection" content="telephone=no">
    <!-- Chrome, Firefox OS and Opera -->
    <meta name="theme-color" content="#ffffff">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#ffffff">
    <!-- iOS Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="white">
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <!-- <script async src="https://www.googletagmanager.com/gtag/js?id=YOUR GOOGLE PROPERTY ID"></script> -->
    <script>
        /*
    var gaProperty = 'YOUR GOOGLE PROPERTY ID';
    var disableStr = 'ga-disable-' + gaProperty;
    if (document.cookie.indexOf(disableStr + '=true') > -1) {
        window[disableStr] = true;
    }
    function gaOptout() {
        document.cookie = disableStr + '=true; expires=Thu, 31 Dec 2099 23:59:59 UTC; path=/';
        window[disableStr] = true;
        alert('Das Tracking durch Google Analytics wurde in Ihrem Browser für diese Website deaktiviert.');
    }

    var gaOptOut='ga-disable-G-QVSQPYTP2L';
    if (document.cookie.indexOf(gaOptOut+'=true')>-1) window[gaOptOut]=true;
        window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'G-QVSQPYTP2L', { 'anonymize_ip': true });
        */
    </script>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <?php 

    // WordPress 5.2 wp_body_open implementation
    if ( function_exists( 'wp_body_open' ) ) {
        wp_body_open();
    } else {
        do_action( 'wp_body_open' );
    }

    ?>

    <div id="page" class="site">
       <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'wp-bootstrap-starter' ); ?></a>
       <?php if(!is_page_template( 'blank-page.php' ) && !is_page_template( 'blank-page-with-container.php' )): ?>
       <header id="masthead" class="site-header navbar-static-top sticky-top <?php echo wp_bootstrap_starter_bg_class(); ?>" role="banner">
        <div class="container">
            <nav class="navbar navbar-expand-xl p-0">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#main-nav" aria-controls="" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <?php
                wp_nav_menu(array(
                    'theme_location'    => 'primary',
                    'container'       => 'div',
                    'container_id'    => 'main-nav',
                    'container_class' => 'collapse navbar-collapse justify-content-end',
                    'menu_id'         => false,
                    'menu_class'      => 'navbar-nav',
                    'depth'           => 3,
                    'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                    'walker'          => new wp_bootstrap_navwalker()
                ));
                ?>
                <div class="navbar-brand">
                    <a class="site-title" href="<?php echo esc_url( home_url( '/' )); ?>">
                        <img id="nav-logo" src="/wp-content/uploads/2023/05/Logo01.png" alt="LOGO" title="LOGO" width="50" height="50"/>
                    </a>
                </div>
                <div id="nav-socials">
                      <a class="fb-ic" href="#" title="Go to Instagram" target="_blank">
                        <i class="fa-brands fa-instagram"></i>
                    </a>
                    <a class="nav-socials-mobile-hide tw-ic" href="#" title="Go to LinkedIn" target="_blank">
                        <i class="fa-brands fa-linkedin-in"></i>
                    </a>
                    <a class="nav-socials-mobile-hide" href="#" title="E-Mail"><i class="fa-solid fa-paper-plane"></i></a>
                </div>



            </nav>
        </div>
    </header><!-- #masthead -->
    <?php if(is_front_page() && !get_theme_mod( 'header_banner_visibility' )): ?>
    <!-- Full Page Intro -->
    <div id="intro-section" class="view">

 </div>
                  <!-- Full Page Intro --
    <?php endif; ?>
	<div id="content" class="site-content">
		<div class="container">
			<div class="row">
                <?php endif; ?>